<?php
$tdatapro_registro = array();
$tdatapro_registro[".searchableFields"] = array();
$tdatapro_registro[".ShortName"] = "pro_registro";
$tdatapro_registro[".OwnerID"] = "";
$tdatapro_registro[".OriginalTable"] = "pro_registro";


$tdatapro_registro[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatapro_registro[".originalPagesByType"] = $tdatapro_registro[".pagesByType"];
$tdatapro_registro[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatapro_registro[".originalPages"] = $tdatapro_registro[".pages"];
$tdatapro_registro[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatapro_registro[".originalDefaultPages"] = $tdatapro_registro[".defaultPages"];

//	field labels
$fieldLabelspro_registro = array();
$fieldToolTipspro_registro = array();
$pageTitlespro_registro = array();
$placeHolderspro_registro = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspro_registro["Spanish"] = array();
	$fieldToolTipspro_registro["Spanish"] = array();
	$placeHolderspro_registro["Spanish"] = array();
	$pageTitlespro_registro["Spanish"] = array();
	$fieldLabelspro_registro["Spanish"]["fecha"] = "Fecha";
	$fieldToolTipspro_registro["Spanish"]["fecha"] = "";
	$placeHolderspro_registro["Spanish"]["fecha"] = "";
	$fieldLabelspro_registro["Spanish"]["id"] = "Id";
	$fieldToolTipspro_registro["Spanish"]["id"] = "";
	$placeHolderspro_registro["Spanish"]["id"] = "";
	$fieldLabelspro_registro["Spanish"]["no_placa"] = "No Placa";
	$fieldToolTipspro_registro["Spanish"]["no_placa"] = "";
	$placeHolderspro_registro["Spanish"]["no_placa"] = "";
	$fieldLabelspro_registro["Spanish"]["volumen"] = "Volumen";
	$fieldToolTipspro_registro["Spanish"]["volumen"] = "";
	$placeHolderspro_registro["Spanish"]["volumen"] = "";
	if (count($fieldToolTipspro_registro["Spanish"]))
		$tdatapro_registro[".isUseToolTips"] = true;
}


	$tdatapro_registro[".NCSearch"] = true;



$tdatapro_registro[".shortTableName"] = "pro_registro";
$tdatapro_registro[".nSecOptions"] = 0;

$tdatapro_registro[".mainTableOwnerID"] = "";
$tdatapro_registro[".entityType"] = 0;
$tdatapro_registro[".connId"] = "bsn_dividendos_at_localhost";


$tdatapro_registro[".strOriginalTableName"] = "pro_registro";

	



$tdatapro_registro[".showAddInPopup"] = false;

$tdatapro_registro[".showEditInPopup"] = false;

$tdatapro_registro[".showViewInPopup"] = false;

$tdatapro_registro[".listAjax"] = false;
//	temporary
//$tdatapro_registro[".listAjax"] = false;

	$tdatapro_registro[".audit"] = true;

	$tdatapro_registro[".locking"] = true;


$pages = $tdatapro_registro[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapro_registro[".edit"] = true;
	$tdatapro_registro[".afterEditAction"] = 1;
	$tdatapro_registro[".closePopupAfterEdit"] = 1;
	$tdatapro_registro[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapro_registro[".add"] = true;
$tdatapro_registro[".afterAddAction"] = 1;
$tdatapro_registro[".closePopupAfterAdd"] = 1;
$tdatapro_registro[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapro_registro[".list"] = true;
}



$tdatapro_registro[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapro_registro[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapro_registro[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapro_registro[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapro_registro[".printFriendly"] = true;
}



$tdatapro_registro[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapro_registro[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapro_registro[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapro_registro[".isUseAjaxSuggest"] = true;



																																	

$tdatapro_registro[".ajaxCodeSnippetAdded"] = false;

$tdatapro_registro[".buttonsAdded"] = false;

$tdatapro_registro[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapro_registro[".isUseTimeForSearch"] = false;


$tdatapro_registro[".badgeColor"] = "B22222";


$tdatapro_registro[".allSearchFields"] = array();
$tdatapro_registro[".filterFields"] = array();
$tdatapro_registro[".requiredSearchFields"] = array();

$tdatapro_registro[".googleLikeFields"] = array();
$tdatapro_registro[".googleLikeFields"][] = "fecha";
$tdatapro_registro[".googleLikeFields"][] = "id";
$tdatapro_registro[".googleLikeFields"][] = "no_placa";
$tdatapro_registro[".googleLikeFields"][] = "volumen";



$tdatapro_registro[".tableType"] = "list";

$tdatapro_registro[".printerPageOrientation"] = 0;
$tdatapro_registro[".nPrinterPageScale"] = 100;

$tdatapro_registro[".nPrinterSplitRecords"] = 40;

$tdatapro_registro[".geocodingEnabled"] = false;










$tdatapro_registro[".pageSize"] = 0;

$tdatapro_registro[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapro_registro[".strOrderBy"] = $tstrOrderBy;

$tdatapro_registro[".orderindexes"] = array();


$tdatapro_registro[".sqlHead"] = "SELECT fecha,  id,  no_placa,  volumen";
$tdatapro_registro[".sqlFrom"] = "FROM pro_registro";
$tdatapro_registro[".sqlWhereExpr"] = "";
$tdatapro_registro[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapro_registro[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapro_registro[".arrGroupsPerPage"] = $arrGPP;

$tdatapro_registro[".highlightSearchResults"] = true;

$tableKeyspro_registro = array();
$tableKeyspro_registro[] = "id";
$tdatapro_registro[".Keys"] = $tableKeyspro_registro;


$tdatapro_registro[".hideMobileList"] = array();




//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "pro_registro";
	$fdata["Label"] = GetFieldLabel("pro_registro","fecha");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha";

		$fdata["sourceSingle"] = "fecha";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_registro["fecha"] = $fdata;
		$tdatapro_registro[".searchableFields"][] = "fecha";
//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "pro_registro";
	$fdata["Label"] = GetFieldLabel("pro_registro","id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

		$fdata["sourceSingle"] = "id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_registro["id"] = $fdata;
		$tdatapro_registro[".searchableFields"][] = "id";
//	no_placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "no_placa";
	$fdata["GoodName"] = "no_placa";
	$fdata["ownerTable"] = "pro_registro";
	$fdata["Label"] = GetFieldLabel("pro_registro","no_placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "no_placa";

		$fdata["sourceSingle"] = "no_placa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "no_placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "pro_participante";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "placa";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "placa";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_registro["no_placa"] = $fdata;
		$tdatapro_registro[".searchableFields"][] = "no_placa";
//	volumen
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "volumen";
	$fdata["GoodName"] = "volumen";
	$fdata["ownerTable"] = "pro_registro";
	$fdata["Label"] = GetFieldLabel("pro_registro","volumen");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "volumen";

		$fdata["sourceSingle"] = "volumen";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "volumen";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_registro["volumen"] = $fdata;
		$tdatapro_registro[".searchableFields"][] = "volumen";


$tables_data["pro_registro"]=&$tdatapro_registro;
$field_labels["pro_registro"] = &$fieldLabelspro_registro;
$fieldToolTips["pro_registro"] = &$fieldToolTipspro_registro;
$placeHolders["pro_registro"] = &$placeHolderspro_registro;
$page_titles["pro_registro"] = &$pageTitlespro_registro;


changeTextControlsToDate( "pro_registro" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pro_registro"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pro_registro"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pro_registro()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "fecha,  id,  no_placa,  volumen";
$proto0["m_strFrom"] = "FROM pro_registro";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "pro_registro",
	"m_srcTableName" => "pro_registro"
));

$proto6["m_sql"] = "fecha";
$proto6["m_srcTableName"] = "pro_registro";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "pro_registro",
	"m_srcTableName" => "pro_registro"
));

$proto8["m_sql"] = "id";
$proto8["m_srcTableName"] = "pro_registro";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "no_placa",
	"m_strTable" => "pro_registro",
	"m_srcTableName" => "pro_registro"
));

$proto10["m_sql"] = "no_placa";
$proto10["m_srcTableName"] = "pro_registro";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "volumen",
	"m_strTable" => "pro_registro",
	"m_srcTableName" => "pro_registro"
));

$proto12["m_sql"] = "volumen";
$proto12["m_srcTableName"] = "pro_registro";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "pro_registro";
$proto15["m_srcTableName"] = "pro_registro";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "fecha";
$proto15["m_columns"][] = "id";
$proto15["m_columns"][] = "no_Factura";
$proto15["m_columns"][] = "no_placa";
$proto15["m_columns"][] = "volumen";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "pro_registro";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "pro_registro";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pro_registro";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pro_registro = createSqlQuery_pro_registro();


	
		;

				

$tdatapro_registro[".sqlquery"] = $queryData_pro_registro;



$tdatapro_registro[".hasEvents"] = false;

?>